> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Sensitive

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Creates a new Sensitive request to retrieve sensitive Account information.

Operation Type: <Tooltip tip="Your request is processed immediately, and you'll receive a response before proceeding. Webhooks will be fired in parallel.">⚡ Synchronous</Tooltip>

## Path Parameters

<ParamList
  items={[
{
name: 'acc_id',
type: 'string',
required: true,
description: 'ID of the Account.',
},
]}
/>

## Body

<ParamList
  items={[
{
name: 'expand',
type: 'enum[]',
required: true,
description: 'The sensitive fields to expand in the response.',
enums: [
  {
    name: 'credit_card.number',
    description: 'The full card number.'
  },
  {
    name: 'credit_card.exp_month',
    description: 'The card\'s expiration month.'
  },
  {
    name: 'credit_card.exp_year',
    description: 'The card\'s expiration year.'
  },
  {
    name: 'credit_card.cvv',
    description: 'The card\'s CVV.'
  },
  {
    name: 'credit_card.billing_zip_code',
    description: 'The card\'s billing zip code.'
  },
  {
    name: 'mortgage.number',
    description: 'The full mortgage number.'
  },
  {
    name: 'auto_loan.number',
    description: 'The full auto loan number.'
  },
  {
    name: 'personal_loan.number',
    description: 'The full personal loan number.'
  },
  {
    name: 'collection.number',
    description: 'The full collection number.'
  },
]
},
]}
/>

## Returns

Returns a Sensitive object.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/sensitive \
    -X POST \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "expand": [
        "credit_card.number",
        "credit_card.exp_month",
        "credit_card.exp_year",
        "credit_card.cvv"
      ]
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await method
    .accounts('acc_yVf3mkzbhz9tj')
    .sensitive
    .create({
      expand: [
        'credit_card.number',
        'credit_card.exp_month',
        'credit_card.exp_year',
        'credit_card.cvv'
      ],
    });
  ```

  ```python Python theme={null}
  response = method
    .accounts('acc_yVf3mkzbhz9tj')
    .sensitive
    .create({
      'expand': [
        'credit_card.number',
        'credit_card.exp_month',
        'credit_card.exp_year',
        'credit_card.cvv'
      ]
    })
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "astv_9WBBA6TH7n7iX",
    "account_id": "acc_yVf3mkzbhz9tj",
    "type": "credit_card",
    "credit_card": {
      "number": "5555555555551580",
      "exp_month": "09",
      "exp_year": "2030",
      "cvv": "878",
      "billing_zip_code": null,
    },
    "status": "completed",
    "error": null,
    "created_at": "2024-04-26T22:50:24.857Z",
    "updated_at": "2024-04-26T22:50:24.857Z",
  }
  ```
</ResponseExample>
